Bug 1163063 - dnf install with glob pattern output should be similar to yum install with glob
Summary: dnf install with glob pattern output should be similar to yum install with glob
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Luscon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-12 10:22 UTC by Parag Nemade
Modified: 2014-12-13 09:53 UTC (History)
7 users (show)

Fixed In Version: dnf-0.6.3-2.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-13 09:53:49 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Parag Nemade 2014-11-12 10:22:46 UTC
Description of problem:
when I want to install all packages starting with stix, I issues following command
$ sudo dnf install stix\*
Package stix-fonts-1.1.0-6.fc21.noarch is already installed, skipping.
Dependencies resolved.
Nothing to do.

but above command missed to also show that I have stix-math-fonts also installed. I am not sure if above output is what dnf developers want or can it be enhanced to show all the packages??

Version-Release number of selected component (if applicable):
dnf-0.6.2-1.fc21.noarch

How reproducible:
always

Steps to Reproduce:
1. sudo dnf install stix\*
2.
3.

Actual results:
Package stix-fonts-1.1.0-6.fc21.noarch is already installed, skipping.
Dependencies resolved.
Nothing to do.

Expected results:
should be similar output like yum 
Package stix-fonts-1.1.0-6.fc21.noarch already installed and latest version
Package stix-math-fonts-1.1.0-6.fc21.noarch already installed and latest version
Nothing to do


Additional info:

Comment 1 Michal Luscon 2014-11-12 13:22:13 UTC
Thank you for your report. I will take a look at this.

Comment 2 Fedora Update System 2014-12-09 14:06:43 UTC
dnf-0.6.3-2.fc21,dnf-plugins-core-0.1.4-1.fc21,hawkey-0.5.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dnf-0.6.3-2.fc21,dnf-plugins-core-0.1.4-1.fc21,hawkey-0.5.2-1.fc21

Comment 3 Fedora Update System 2014-12-12 04:32:48 UTC
Package dnf-0.6.3-2.fc21, hawkey-0.5.2-1.fc21, dnf-plugins-core-0.1.4-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-0.6.3-2.fc21 hawkey-0.5.2-1.fc21 dnf-plugins-core-0.1.4-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-16760/dnf-0.6.3-2.fc21,dnf-plugins-core-0.1.4-1.fc21,hawkey-0.5.2-1.fc21
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-12-13 09:53:49 UTC
dnf-0.6.3-2.fc21, hawkey-0.5.2-1.fc21, dnf-plugins-core-0.1.4-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.